[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| BasicImageIteratorBase< IMAGEITERATOR, PIXELTYPE, REFERENCE, POINTER, LINESTARTITERATOR > Class Template Reference |

`#include <vigra/basicimage.hxx>`

List of all members.

## Detailed Description

### template<class IMAGEITERATOR, class PIXELTYPE, class REFERENCE, class POINTER, class LINESTARTITERATOR>
class vigra::BasicImageIteratorBase< IMAGEITERATOR, PIXELTYPE, REFERENCE, POINTER, LINESTARTITERATOR >

Implementation of the standard image iterator for vigra::BasicImage. See vigra::ImageIterator for documentation.

#include <vigra/basicimage.hxx> Namespace: vigra

The documentation for this class was generated from the following file:

- vigra/basicimage.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)